package com.unis.base.server.service;

import java.util.List;

import com.unis.base.common.vo.GranaryVO;
import com.unis.base.common.vo.TyCrkjsxxVO;
import com.unis.base.server.entity.DAjxxsjyDO;



/**
 * @author zhengbodang
 * @version 1.0
 * @Title: TyCrkjsxxService
 * @ProjectName TyCrkjsxxService
 * @Description:
 * @date 2019/7/22 17:47
 */
public interface TyCrkjsxxService {

	/**
	 * 根据参数查询廒间列表
	 * @author huangxing
	 * @param dAjxxsjyVO
	 * @return
	 */
	List<TyCrkjsxxVO> getTyCrkjsxxList(TyCrkjsxxVO tyCrkjsxxVO);

	/**
	 * 根据参数分页查询廒间列表
	 * @author huangxing
	 * @param dAjxxsjyVO
	 * @return
	 */
	List<TyCrkjsxxVO> getTyCrkjsxxPage(TyCrkjsxxVO tyCrkjsxxVO, Integer pageNum, Integer pageSize);

	/**
	 * 新增廒间信息
	 * @param dAjxxsjyVO
	 * @return
	 */
	int insert(TyCrkjsxxVO tyCrkjsxxVO);

	/**
	 * 更新廒间信息
	 * @param dAjxxsjyVO
	 * @return
	 */
	int update(TyCrkjsxxVO tyCrkjsxxVO);

	/**
	 * 删除廒间信息
	 * @author huangxing
	 * @param dAjxxsjyVO
	 * @return
	 */
	int delete(String jsid);

	/**
	 * 根据廒间编号获取廒间信息
	 * @param ajbh
	 * @return 廒间信息
	 */
	TyCrkjsxxVO getTyCrkjsxxByJsid(String jsid);

}
